<?php 

echo CHtml::tag("h2", array(), "Display Settings") ."\n";

echo CHtml::openTag("table")."\n";
    
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Resolution : ").CHtml::tag("td", array(), $info->resolution ) )."\n" ;
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Vertical refresh : ").CHtml::tag("td", array(), $info->refresh." Hz" ) )."\n" ;
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Aspect ratio : ").CHtml::tag("td", array(), $info->aspect ) )."\n" ;
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Power save : ").CHtml::tag("td", array(), $info->powersave ) )."\n" ;

echo CHtml::closeTag("table")."\n";

foreach ($info->monitors as $mon ) {
    echo CHtml::tag("h2", array(), $mon['name'] . " Output") ."\n";
    echo "<br/>\n";
    if ( $mon['mon_present']==1 ) {
        if ($mon['mon_manufacturer']!="" || $mon['mon_name']!="") {
            echo "Display Info: <ul>";
            echo "<li>Manufacturer: ", $mon['mon_manufacturer'], "</li>";
            echo "<li>Product ID: ", $mon['mon_prod_id'], "</li>";
            echo "<li>Name: ", $mon['mon_name'], "</li>";
            echo "<li>Serial #: ", $mon['mon_serial_no'], "</li></ul>";
        }
        if ($mon['mon_powered']!="" ) echo "Display powered ".($mon['mon_powered']==0?"off":"on")."<br/>";
    
        if ($mon['mon_width']!="" && $mon['mon_height']!="") echo "<br/>Display size: ".$mon['mon_width']." x ".$mon['mon_height']." cm <br/>Aspect ratio: ".$mon['mon_pict_ar']." <br/>";
        if ($mon['mon_underscan']!="" && $mon['mon_underscan']==0) echo "Underscan not supported<br/>"; 
        else echo "Underscan supported<br/>";
    }else{
        echo "<b>Display not detected</b><br/>This doesn't mean that the display is not working, it means that the display provides no feed-back.<br/>";
    }
    echo "<br/>\n";
}

