#!/bin/sh
#
# chkconfig: S 65 0
#
# Resets the ntp variable data (drift, etc.)
#

# The file that flags us to reset NTP
FLAG_FILE=/var/spool/spxutils/ntpreset

case "$1" in
    start|restart)
    if [ -f "$FLAG_FILE" ]; then
	echo -n "reset ntp data"
        driftfile="$(sed -ne '/^[[:space:]]*driftfile/{s/[[:space:]]*driftfile[[:space:]]\+\([^[:space:]]\+\).*/\1/;p}' /etc/ntp.conf )"
	if [ -f "$driftfile" ]; then
	    rm -f "$driftfile"
	fi
	rm -f "$FLAG_FILE"
	sync
	echo "."
    fi
    ;;
    stop|reload|force-reload)
    ;;
esac



